Subject: [Dots] encoding of CBOR map integer keys for the signal channel

From: Benjamin Kaduk <[email-masked]>
Date: Sun, 18 Nov 2018 13:07:49 -0600

Hi all,

I've finished my read through of the signal channel document and will have
a number of comments to write up on it.  Unfortunately, this week's
telechat is quite full so I'm deferring actually writing up the comments in
order to stay on track for telechat prep.  One issue that I noticed since
my last mail on this document relates to the integer key values for the
CBOR map (e.g., Table 4 and Table 6).

My understanding is that these integer keys are encoded as CBOR integral
types (major type values 0 and 1), using the variable-length encoding.  In
particular that means that nonnegative values less than 24 have a one-byte
encoding but larger values have longer encodings.  (Is this correct, and)
did the WG consider which parameters are more commonly used so as to give
them the smaller encodings?

(We could also use negative integers to get more choices with the smaller
encoding, since apparently we are not using the sign to distinguish
comprehension-required from comprehension-optional.)

-Ben

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Mon, 19 Nov 2018 07:56:35 +0000

Hi Ben,

The CBOR key values are in the range 1 to 65535 (major type 0, with additional information 25 (uint16_t)), all the mitigation request parameters (except attack-status and trigger-mitigation) are in the range 1 to 23.
We can move attack-status and trigger-mitigation parameters in the range of 0 to 23 to take advantage of the smaller encoding, and modify the key value range to 0 to 65535. 

Cheers,
-Tiru

> -----Original Message-----
> From: Dots <[email-masked]> On Behalf Of Benjamin Kaduk
> Sent: Monday, November 19, 2018 12:38 AM
> To: [email-masked]
> Subject: [Dots] encoding of CBOR map integer keys for the signal channel
> 
> This email originated from outside of the organization. Do not click links or
> open attachments unless you recognize the sender and know the content is
> safe.
> 
> Hi all,
> 
> I've finished my read through of the signal channel document and will have a
> number of comments to write up on it.  Unfortunately, this week's telechat
> is quite full so I'm deferring actually writing up the comments in order to
> stay on track for telechat prep.  One issue that I noticed since my last mail
> on this document relates to the integer key values for the CBOR map (e.g.,
> Table 4 and Table 6).
> 
> encoding but larger values have longer encodings.  (Is this correct, and) did
> the WG consider which parameters are more commonly used so as to give
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots